Bug 500348 - jobs not send to disabled queues on cups server
jobs not send to disabled queues on cups server
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 07:48 EDT by Matthias Ehrig
Modified: 2013-03-19 12:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:08:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Ehrig 2009-05-12 07:48:57 EDT
Description of problem:
We send all jobs to cups (IPP) servers (scientific linux 5.3, cups-1.3.7).
If one queue on server is disabled for printing but enabled for spooling then if the first job from client will be send to server the local queue will also be disabled and the job remain in the local cups queue. Jobs would only be sent if the server queue is enabled. The local queue is then explicit to enable by root. In cups-1.3.10 is this behavior fixed. 

Is this bug fixed in next cups version ?

Version-Release number of selected component (if applicable):
cups-1.3.7-8.el5_3.4

How reproducible:
ever

Steps to Reproduce:
1. cupsdisable queue on server
2. send job from client
3.
  
Actual results:
client queue ist also disabled (lpq)

Expected results:
job is spooled on server and waits for printing

Additional info:
bug fixed in cups-1.3.10
Comment 2 Tim Waugh 2009-11-16 10:56:13 EST
Please explain the problem you are seeing in more detail.  How is the client configured?  Are the client queues found using CUPS browsing or set explicitly?  What is the client running?  What is the server running?  Are you using classes?
Comment 5 RHEL Product and Program Management 2011-05-31 10:17:19 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 6 Jiri Popelka 2013-03-19 12:08:57 EDT
RHEL-5.10 (the next RHEL-5 minor release) is going to be the first production phase 2 [1] release of RHEL-5.
Since phase 2 we'll be addressing only security and critical issues.

[1] https://access.redhat.com/support/policy/updates/errata/

Note You need to log in before you can comment on or make changes to this bug.